Debian Bug report logs - #526530
ggz-server: FTBFS: redefinition of 'struct flock'

version graph

Package: ggz-server; Maintainer for ggz-server is Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Fri, 1 May 2009 19:57:02 UTC

Severity: serious

Tags: patch

Found in version 0.0.14.1-1.2

Fixed in version ggz-server/0.0.14.1-1.3

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#526530; Package ggz-server. (Fri, 01 May 2009 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. (Fri, 01 May 2009 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: ggz-server: FTBFS: redefinition of 'struct flock'
Date: Fri, 1 May 2009 12:53:50 -0700
Package: ggz-server
Version: 0.0.14.1-1.2
Severity: serious

From my pbuilder build log:

...
cc -DHAVE_CONFIG_H -I. -I..  -I../ggzd/database -I../ggzd/meta -I../ggzdmod -I /usr/include  -I/usr/include -DGGZDCONFDIR=\"/etc/ggzd\" -DGGZDSTATEDIR=\"/var/lib/ggzd\" -DGGZDEXECMODDIR=\"/usr/lib/ggzd\" -I /usr/include -I 
/usr/local/include -DGGZDDATADIR=\"/usr/share/ggz/ggzd\"  -g -O2 -g -Wall -O2 -D_REENTRANT -c -o ggzd-control.o `test -f 'control.c' || echo './'`control.c
In file included from /usr/include/asm/fcntl.h:1,
                 from /usr/include/linux/fcntl.h:4,
                 from /usr/include/linux/inotify.h:11,
                 from reconfiguration.h:31,
                 from control.c:63:
/usr/include/asm-generic/fcntl.h:117: error: redefinition of 'struct flock'
/usr/include/asm-generic/fcntl.h:140: error: redefinition of 'struct flock64'
make[4]: *** [ggzd-control.o] Error 1
make[4]: Leaving directory `/tmp/buildd/ggz-server-0.0.14.1/ggzd'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/ggz-server-0.0.14.1/ggzd'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/ggz-server-0.0.14.1'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/ggz-server-0.0.14.1'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#526530; Package ggz-server. (Mon, 04 May 2009 05:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <josef@ggzgamingzone.org>:
Extra info received and forwarded to list. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. (Mon, 04 May 2009 05:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 526530@bugs.debian.org (full text, mbox):

From: Josef Spillner <josef@ggzgamingzone.org>
To: Daniel Schepler <dschepler@gmail.com>, 526530@bugs.debian.org
Subject: Re: Bug#526530: ggz-server: FTBFS: redefinition of 'struct flock'
Date: Mon, 4 May 2009 07:37:58 +0200
Am Freitag, 1. Mai 2009 21:53:50 schrieb Daniel Schepler:
> In file included from /usr/include/asm/fcntl.h:1,
>                  from /usr/include/linux/fcntl.h:4,
>                  from /usr/include/linux/inotify.h:11,
>                  from reconfiguration.h:31,
>                  from control.c:63:
> /usr/include/asm-generic/fcntl.h:117: error: redefinition of 'struct flock'
> /usr/include/asm-generic/fcntl.h:140: error: redefinition of 'struct

We need to include the following patch into the source package:

http://svn.ggzgamingzone.org/trac.cgi/changeset/10564

Or (as recommended in general) update all source packages with the latest 
diffs:

http://hq.ggzgamingzone.org/~josef/diffs/0.0.14.1/

Josef

-- 
Free online games for everybody: http://www.ggzgamingzone.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#526530; Package ggz-server. (Wed, 10 Jun 2009 18:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. (Wed, 10 Jun 2009 18:00:08 GMT) Full text and rfc822 format available.

Message #15 received at 526530@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: 526530@bugs.debian.org
Subject: Re: ggz-server: FTBFS: redefinition of 'struct flock'
Date: Wed, 10 Jun 2009 10:54:54 -0700
I have to wonder why ggz-server is using linux/inotify.h directly in the first 
place.  If I replace that with sys/inotify.h, and remove the duplicate 
definitions of inotify_* in reconfiguration.h, the package builds just fine here.
-- 
Daniel Schepler





Added tag(s) patch. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 24 Oct 2009 17:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#526530; Package ggz-server. (Sun, 29 Nov 2009 11:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. (Sun, 29 Nov 2009 11:42:06 GMT) Full text and rfc822 format available.

Message #22 received at 526530@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 526530@bugs.debian.org
Subject: Re: Bug#526530: ggz-server: FTBFS: redefinition of 'struct flock'
Date: Sun, 29 Nov 2009 12:40:09 +0100
[Message part 1 (text/plain, inline)]
tags 526530 +pending
thanks

Hi,

I am shortly going to NMU with the attached interdiff.


Cheers,

Michael
[interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 15:39:23 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 15:39:23 GMT) Full text and rfc822 format available.

Message #27 received at 526530-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 526530-close@bugs.debian.org
Subject: Bug#526530: fixed in ggz-server 0.0.14.1-1.3
Date: Sun, 29 Nov 2009 15:35:56 +0000
Source: ggz-server
Source-Version: 0.0.14.1-1.3

We believe that the bug you reported is fixed in the latest version of
ggz-server, which is due to be installed in the Debian FTP archive:

ggz-game-servers_0.0.14.1-1.3_i386.deb
  to main/g/ggz-server/ggz-game-servers_0.0.14.1-1.3_i386.deb
ggz-server_0.0.14.1-1.3.diff.gz
  to main/g/ggz-server/ggz-server_0.0.14.1-1.3.diff.gz
ggz-server_0.0.14.1-1.3.dsc
  to main/g/ggz-server/ggz-server_0.0.14.1-1.3.dsc
ggzd_0.0.14.1-1.3_i386.deb
  to main/g/ggz-server/ggzd_0.0.14.1-1.3_i386.deb
libggzdmod++-dev_0.0.14.1-1.3_i386.deb
  to main/g/ggz-server/libggzdmod++-dev_0.0.14.1-1.3_i386.deb
libggzdmod++1_0.0.14.1-1.3_i386.deb
  to main/g/ggz-server/libggzdmod++1_0.0.14.1-1.3_i386.deb
libggzdmod-dev_0.0.14.1-1.3_i386.deb
  to main/g/ggz-server/libggzdmod-dev_0.0.14.1-1.3_i386.deb
libggzdmod6_0.0.14.1-1.3_i386.deb
  to main/g/ggz-server/libggzdmod6_0.0.14.1-1.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 526530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated ggz-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 12:34:31 +0100
Source: ggz-server
Binary: ggzd ggz-game-servers libggzdmod6 libggzdmod-dev libggzdmod++1 libggzdmod++-dev
Architecture: source i386
Version: 0.0.14.1-1.3
Distribution: unstable
Urgency: low
Maintainer: Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 ggz-game-servers - GGZ Gaming Zone: game servers collection
 ggzd       - GGZ Gaming Zone: main server
 libggzdmod++-dev - GGZ Gaming Zone: game backend class library - development files
 libggzdmod++1 - GGZ Gaming Zone: game backend class library
 libggzdmod-dev - GGZ Gaming Zone: game backend library - development files
 libggzdmod6 - GGZ Gaming Zone: game backend library
Closes: 526530
Changes: 
 ggz-server (0.0.14.1-1.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/inotify.diff: New patch switching to C library inotify
     interface from the Linux kernel interface, taken from upstream revision
     10564 (Closes: #526530)
Checksums-Sha1: 
 7a18e390d006470f82d5ab74b36cb6b5b2edf176 1524 ggz-server_0.0.14.1-1.3.dsc
 1f990f021c4cba48d425475f5127ce1bdf315c4d 32327 ggz-server_0.0.14.1-1.3.diff.gz
 0223f36756a0122d41b1d8669727f3c25f2a4bca 315864 ggzd_0.0.14.1-1.3_i386.deb
 78ceccb4e4f5ddfc3c0fec8044355b014ba6ffb1 442496 ggz-game-servers_0.0.14.1-1.3_i386.deb
 8d6c2743364ba442a444b5a047fdf9347612530b 246992 libggzdmod6_0.0.14.1-1.3_i386.deb
 7b05d525ea2f451c344220a6525c1b34aa9ca6f5 261100 libggzdmod-dev_0.0.14.1-1.3_i386.deb
 90414809717836f2912aee00dd6484b877447295 249480 libggzdmod++1_0.0.14.1-1.3_i386.deb
 61c0d835f3674f2329990b28cd5f1f726bc38be7 251094 libggzdmod++-dev_0.0.14.1-1.3_i386.deb
Checksums-Sha256: 
 58db03475b1553d8c95e4fdf03b9bdbe159730d62dcd73d3fce2fba90a92d0ca 1524 ggz-server_0.0.14.1-1.3.dsc
 ff1930162eae800ba433ff0be7c89f120e20fa200839fb3c03677e55c8c0c5cc 32327 ggz-server_0.0.14.1-1.3.diff.gz
 93991319fb1f7c1fa2e018e0441960487b9c720f531719b9ebf7b6ea18777d90 315864 ggzd_0.0.14.1-1.3_i386.deb
 49130cd03be3eb908d170896590b0ab188e6c5659f3a8ec03f920d6072ba73e8 442496 ggz-game-servers_0.0.14.1-1.3_i386.deb
 5243151abaa495384f530340da39345daa04aacccfdb98247f058f2598ca4dc2 246992 libggzdmod6_0.0.14.1-1.3_i386.deb
 0c6514a3468db79a99d6e71903cf93c6e057aef70480086374a8559368faf51f 261100 libggzdmod-dev_0.0.14.1-1.3_i386.deb
 ab10e0eeef616e064a3f4e9dab953d8c41d05a5c5d38d48bf3ccb1fab9edf5dc 249480 libggzdmod++1_0.0.14.1-1.3_i386.deb
 410e8f4c10285a361430120012daec21d3b41844f1222ebe964ca8fd369f3e42 251094 libggzdmod++-dev_0.0.14.1-1.3_i386.deb
Files: 
 e8fc8ff27cb787ac2248ce67d035dd78 1524 games optional ggz-server_0.0.14.1-1.3.dsc
 2ed6fe152a057567386b9e1626ac357c 32327 games optional ggz-server_0.0.14.1-1.3.diff.gz
 b33adae411a787876236399a7ada45bc 315864 games optional ggzd_0.0.14.1-1.3_i386.deb
 a720d9d70c2f79dcbf175ea730d75292 442496 games optional ggz-game-servers_0.0.14.1-1.3_i386.deb
 84e3ddb97664ac2a7722fec3740ec981 246992 libs optional libggzdmod6_0.0.14.1-1.3_i386.deb
 88c38752c50bf940dba468a1c8d64a82 261100 libdevel optional libggzdmod-dev_0.0.14.1-1.3_i386.deb
 f646386652048efce50660a33fcbf112 249480 libs optional libggzdmod++1_0.0.14.1-1.3_i386.deb
 123fe3d04404e315edc923cea749d075 251094 libdevel optional libggzdmod++-dev_0.0.14.1-1.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEoY9mHaJYZ7RAb8RA17AAJ42JjFt5SR2Q440Rydkjv4es//QdgCgnH5x
cS098//tzk9tsJri/c04QHM=
=bUMU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:29:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:23:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.